PCI Compliance Alert for Windows XP Users

Are you running your credit card sales through a computer or POS system? Are you using Windows XP on those devices? If the answer is yes, listen up!

As of April 8, 2014, Windows will stop supporting its Windows XP operating system. This means they will stop providing any security patches, updates or support, thus making anyone running their computers on this system extremely vulnerable to cyber attacks. Why is this even more important for merchants? Because cyber-criminals will attempt to hack these systems to obtain your customers’ sensitive information such as their credit card numbers.

This will leave any business who is still using Windows XP as of April 9, 2014 as non PCI Compliant. Don’t run this huge risk of a potential data breach! Upgrade to Windows 7 or higher before the deadline arrives.

Leave a reply